주요 콘텐츠로 건너뛰기

이 브라우저는 더 이상 지원되지 않습니다.

최신 기능, 보안 업데이트, 기술 지원을 이용하려면 Microsoft Edge로 업그레이드하세요.

Microsoft Edge 다운로드 Internet Explorer 및 Microsoft Edge에 대한 추가 정보
microsoft-foundry.rest.security.o-auth2-auth

Routines

Queue an asynchronous routine dispatch

POST /routines/{routine_name}:dispatch_async

Queues an asynchronous dispatch for the specified routine.

헤더 매개 변수

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Routines=V2Preview

경로 매개 변수

routine_name string 필수

The unique name of the routine.

쿼리 매개 변수

api-version string 필수

The API version to use for this operation.

요청 본문

Content-Type: application/json
payload invoke_agent_responses_api | invoke_agent_invocations_api

Base model for a manual dispatch payload.

(다음 버전 중 하나)
invoke_agent_responses_api InvokeAgentResponsesApiDispatchPayload

A manual payload used to test a responses API routine dispatch.

type enum 필수

The manual dispatch payload type.

invoke_agent_responses_api
input InvokeAgentResponsesApiDispatchPayload 필수

The JSON value sent as the complete downstream responses input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.

invoke_agent_invocations_api InvokeAgentInvocationsApiDispatchPayload

A manual payload used to test an invocations API routine dispatch.

type enum 필수

The manual dispatch payload type.

invoke_agent_invocations_api
input InvokeAgentInvocationsApiDispatchPayload 필수

The JSON value sent as the complete downstream invocations input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.

응답

The request has succeeded.

본문

Content-Type: application/json
dispatch_id string

The dispatch identifier created for the routine dispatch.

action_correlation_id string

A downstream action correlation identifier, when available.

task_id string

A workspace task identifier created for the dispatch, when available.

Client error

본문

Content-Type: application/json
error OpenAI.Error 필수
code string | null 필수
message string 필수
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
다음 중 하나:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 필수

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

본문

Content-Type: application/json
error OpenAI.Error 필수
code string | null 필수
message string 필수
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
다음 중 하나:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 필수

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

요청

POST /routines/{routine_name}:dispatch_async HTTP/1.1

응답

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
ko-kr
사용자의 개인 정보 보호 선택
  • AI 고지 사항
  • 이전 버전
  • 블로그
  • 참가
  • 개인 정보 보호
  • 소비자 건강 개인 정보
  • 사용 조건
  • 상표
  • © Microsoft 2026